Name:          python-chardet
Version:       3.0.4
Release:       4mamba
Summary:       Universal Encoding Detector
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://chardet.feedparser.org/
Source:        https://pypi.debian.net/chardet/chardet-%{version}.tar.gz
#Source:        http://chardet.feedparser.org/download/python2-chardet-%{version}.tgz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Character encoding auto-detection in Python 2 and 3.
As smart as your browser.
Open source.

Detects:
 - ASCII, UTF-8, UTF-16 (2 variants), UTF-32 (4 variants)
 - Big5, GB2312, EUC-TW, HZ-GB-2312, ISO-2022-CN (Traditional and Simplified Chinese)
 - EUC-JP, SHIFT_JIS, ISO-2022-JP (Japanese)
 - EUC-KR, ISO-2022-KR (Korean)
 - KOI8-R, MacCyrillic, IBM855, IBM866, ISO-8859-5, windows-1251 (Cyrillic)
 - ISO-8859-2, windows-1250 (Hungarian)
 - ISO-8859-5, windows-1251 (Bulgarian)
 - windows-1252 (English)
 - ISO-8859-7, windows-1253 (Greek)
 - ISO-8859-8, windows-1255 (Visual and Logical Hebrew)
 - TIS-620 (Thai)

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n chardet-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%if 0%{?with_pyver}
mv %{buildroot}%{_bindir}/chardetect %{buildroot}%{_bindir}/chardetect-%{?pyappend}
sed -i "s|%{_bindir}/chardetect|%{_bindir}/chardetect-%{?pyappend}|" %{name}.filelist
%endif

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
#%doc COPYING

%changelog
* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-4mamba
- rebuilt with py3 package

* Thu May 16 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-3mamba
- fix binary conflict between different targets

* Fri Mar 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-2mamba
- rebuilt with -py36 support

* Sat Nov 04 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-1mamba
- update to 3.0.4

* Tue Oct 07 2014 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Fri Jan 17 2014 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-2mamba
- python 2.7 mass rebuild

* Tue Aug 30 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.0.1-1mamba
- package created by autospec
